| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA. dfx код для динамических блоков с атрибутами

VBA. dfx код для динамических блоков с атрибутами

Ответ
Поиск в этой теме
Непрочитано 03.10.2014, 13:07 #1
VBA. dfx код для динамических блоков с атрибутами
art_rrc
 
Минск
Регистрация: 28.01.2013
Сообщений: 379

Доброго времени суток. Подскажите пожалуйста dfx код для выбора только динамических блоков с атрибутами. Никак не получается создать правильный фильтр. В Приложении 3 книги Полещука написано: "Тип примитива ("BLOCK")", DXF код 0. Поэтому использую след. код:

Код:
[Выделить все]
Dim ftype(0) As Integer: Dim fdata(0) As Variant
Dim dxfCode, dxfValue

Set SelSet1 = ThisDrawing.SelectionSets.Add("aaA_e")

ftype(0) = 0: fdata(0) = "BLOCK"
dxfCode = ftype
dxfValue = fdata

SelSet1.SelectOnScreen dxfCode, dxfValue
Но он с сожалению не работает. Также пробовал "AcadBlockReference", "AcDbBlockReference", "AcDbBlock" и другие вариации, но безрезультатно. Поиском пользовался, но ничего не нашел... Либо натыкался на аналогичную информацию что и в книге. Заранее спасибо.
Просмотров: 3357
 
Непрочитано 03.10.2014, 13:54
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,416


Почитай DXF Reference и выполни "дамп" любого объекта. Для вхождения блока в 0 группе будет слово "INSERT".
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 03.10.2014, 14:26
#3
art_rrc


 
Регистрация: 28.01.2013
Минск
Сообщений: 379


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
Почитай DXF Reference и выполни "дамп" любого объекта. Для вхождения блока в 0 группе будет слово "INSERT".
Большое спасибо. Все получилось.
Сделал вот так:
Код:
[Выделить все]
Dim ftype(1) As Integer
Dim fdata(1) As Variant

Set SelSet1 = ThisDrawing.SelectionSets.Add("aaA_e")
ftype(0) = 0: ftype(1) = 66
fdata(0) = "insert": fdata(1) = 1
SelSet1.SelectOnScreen ftype, fdata
art_rrc вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA. dfx код для динамических блоков с атрибутами

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Какой язык перспективен для инженера-конструктора с условием The_Mercy_Seat Программирование 705 17.03.2021 14:19
Lisp.Autocad map 2006. Пакетная замена блоков с атрибутами. Помогите пожалуйста. mankurt LISP 2 20.01.2014 13:15
Подсчет Блоков и Динамических блоков с учетом visibility (видимости) и сумму длин линий, полилиний по слоям и вывод результатов в Ecxel Andrey_nadym Программирование 18 07.01.2014 01:42
подсчет динамических блоков AAI Программирование 37 25.06.2012 15:05
Тормозит команда расчленения набора блоков batmax Программирование 4 31.08.2010 17:37